MDBX_LOAD(1)

NAME
mdbx_load - MDBX environment import tool

SYNOPSIS
mdbx_load [-V] [-q] [-a] [-f file] [-s table] [-N] [-T] [-r] [-n] dbpath

DESCRIPTION
The mdbx_load utility reads from the standard input and loads it into the MDBX environment dbpath. The input to mdbx_load must be in the output format specified by the mdbx_dump(1) utility or as specified by the -T option below. A simple escape mechanism, where newline and backslash (\) characters are special, is applied to the text input. Newline characters are interpreted as record separators. Backslash characters in the text will be interpreted in one of two ways: If the backslash character precedes another backslash character, the pair will be interpreted as a literal backslash. If the backslash character precedes any other character, the two characters following the backslash will be interpreted as a hexadecimal specification of a single character; for example, \0a is a newline character in the ASCII character set. For this reason, any backslash or newline characters that naturally occur in the text input must be escaped to avoid misinterpretation by mdbx_load.

OPTIONS

-V  Write the library version number to the standard output, and exit.

-q  Be quiet.

-a  Append all records in the order they appear in the input. The input is assumed to already be in correctly sorted order and no sorting or checking for redundant values will be performed. This option must be used to reload data that was produced by running mdbx_dump on a database that uses custom compare functions.

-f file
    Read from the specified file instead of from the standard input.

-s table
    Load a specific table. If no table is specified, data is loaded into the main table.

-N  Don't overwrite existing records when loading into an already existing table; just skip them.

-T  Load data from simple text files. The input must be paired lines of text, where the first line of the pair is the key item, and the second line of the pair is its corresponding data item.

-r  Rescure mode. Ignore errors to load corrupted DB dump.

-n  Load an MDBX database which does not use subdirectories. This is legacy option. For now MDBX handles this automatically.

DIAGNOSTICS
Exit status is zero if no errors occur. Errors result in a non-zero exit status and a diagnostic message being written to standard error.

SEE ALSO
mdbx_dump(1), mdbx_chk(1), mdbx_stat(1), mdbx_copy(1) mdbx_drop(1)

AUTHOR
Howard Chu of Symas Corporation <http://www.symas.com>, Leonid Yuriev <https://gitflic.ru/user/erthink>